Package org.lwjgl.util.mapped

# Class MappedHelper

java.lang.Object
org.lwjgl.util.mapped.MappedHelper

public class MappedHelper extends Object
[INTERNAL USE ONLY]

Helper class used by the bytecode transformer.

Author:
  Riven

## Constructor Summary

Constructors
Constructor
Description
`MappedHelper()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`aget(long addr)`
`static long`
`aget(MappedObject mapped, int fieldOffset)`
`static void`
`aput(long value, long addr)`
`static void`
`aput(MappedObject mapped, long value, int fieldOffset)`
`static byte`
`bget(long addr)`
`static byte`
`bget(MappedObject mapped, int fieldOffset)`
`static void`
`bput(byte value, long addr)`
`static void`
`bput(MappedObject mapped, byte value, int fieldOffset)`
`static byte`
`bvget(long addr)`
`static byte`
`bvget(MappedObject mapped, int fieldOffset)`
`static void`
`bvput(byte value, long addr)`
`static void`
`bvput(MappedObject mapped, byte value, int fieldOffset)`
`static char`
`cget(long addr)`
`static char`
`cget(MappedObject mapped, int fieldOffset)`
`static void`
`checkAddress(long viewAddress, MappedObject mapped)`
`static void`
`copy(MappedObject src, MappedObject dst, int bytes)`
`static void`
`cput(char value, long addr)`
`static void`
`cput(MappedObject mapped, char value, int fieldOffset)`
`static char`
`cvget(long addr)`
`static char`
`cvget(MappedObject mapped, int fieldOffset)`
`static void`
`cvput(char value, long addr)`
`static void`
`cvput(MappedObject mapped, char value, int fieldOffset)`
`static double`
`dget(long addr)`
`static double`
`dget(MappedObject mapped, int fieldOffset)`
`static void`
`dput(double value, long addr)`
`static void`
`dput(MappedObject mapped, double value, int fieldOffset)`
`static MappedObject`
`dup(MappedObject src, MappedObject dst)`
`static double`
`dvget(long addr)`
`static double`
`dvget(MappedObject mapped, int fieldOffset)`
`static void`
`dvput(double value, long addr)`
`static void`
`dvput(MappedObject mapped, double value, int fieldOffset)`
`static float`
`fget(long addr)`
`static float`
`fget(MappedObject mapped, int fieldOffset)`
`static void`
`fput(float value, long addr)`
`static void`
`fput(MappedObject mapped, float value, int fieldOffset)`
`static float`
`fvget(long addr)`
`static float`
`fvget(MappedObject mapped, int fieldOffset)`
`static void`
`fvput(float value, long addr)`
`static void`
`fvput(MappedObject mapped, float value, int fieldOffset)`
`static int`
`get_view(MappedObject mapped, int sizeof)`
`static int`
`get_view_shift(MappedObject mapped, int sizeof_shift)`
`static int`
`iget(long address)`
`static int`
`iget(MappedObject mapped, int fieldOffset)`
`static void`
`iput(int value, long addr)`
`static void`
`iput(MappedObject mapped, int value, int fieldOffset)`
`static int`
`ivget(long address)`
`static int`
`ivget(MappedObject mapped, int fieldOffset)`
`static void`
`ivput(int value, long addr)`
`static void`
`ivput(MappedObject mapped, int value, int fieldOffset)`
`static long`
`jget(long addr)`
`static long`
`jget(MappedObject mapped, int fieldOffset)`
`static void`
`jput(long value, long addr)`
`static void`
`jput(MappedObject mapped, long value, int fieldOffset)`
`static long`
`jvget(long addr)`
`static long`
`jvget(MappedObject mapped, int fieldOffset)`
`static void`
`jvput(long value, long addr)`
`static void`
`jvput(MappedObject mapped, long value, int fieldOffset)`
`static ByteBuffer`
`newBuffer(long address, int capacity)`
`static void`
`put_view(MappedObject mapped, int view, int sizeof)`
`static void`
`put_view_next(MappedObject mapped, int sizeof)`
`static void`
`put_view_shift(MappedObject mapped, int view, int sizeof_shift)`
`static void`
`put_views(MappedSet2 set, int view)`
`static void`
`put_views(MappedSet3 set, int view)`
`static void`
`put_views(MappedSet4 set, int view)`
`static void`
`setup(MappedObject mo, ByteBuffer buffer, int align, int sizeof)`
`static short`
`sget(long addr)`
`static short`
`sget(MappedObject mapped, int fieldOffset)`
`static MappedObject`
`slice(MappedObject src, MappedObject dst)`
`static void`
`sput(short value, long addr)`
`static void`
`sput(MappedObject mapped, short value, int fieldOffset)`
`static short`
`svget(long addr)`
`static short`
`svget(MappedObject mapped, int fieldOffset)`
`static void`
`svput(short value, long addr)`
`static void`
`svput(MappedObject mapped, short value, int fieldOffset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappedHelper

public MappedHelper()

## Method Details

### setup

public static void setup(MappedObject mo, ByteBuffer buffer, int align, int sizeof)

### checkAddress

public static void checkAddress(long viewAddress, MappedObject mapped)

### put_views

public static void put_views(MappedSet2 set, int view)

### put_views

public static void put_views(MappedSet3 set, int view)

### put_views

public static void put_views(MappedSet4 set, int view)

### put_view

public static void put_view(MappedObject mapped, int view, int sizeof)

### get_view

public static int get_view(MappedObject mapped, int sizeof)

### put_view_shift

public static void put_view_shift(MappedObject mapped, int view, int sizeof_shift)

### get_view_shift

public static int get_view_shift(MappedObject mapped, int sizeof_shift)

### put_view_next

public static void put_view_next(MappedObject mapped, int sizeof)

### dup

public static MappedObject dup(MappedObject src, MappedObject dst)

### slice

public static MappedObject slice(MappedObject src, MappedObject dst)

### copy

public static void copy(MappedObject src, MappedObject dst, int bytes)

### newBuffer

public static ByteBuffer newBuffer(long address, int capacity)

### bput

public static void bput(byte value, long addr)

### bput

public static void bput(MappedObject mapped, byte value, int fieldOffset)

### bget

public static byte bget(long addr)

### bget

public static byte bget(MappedObject mapped, int fieldOffset)

### bvput

public static void bvput(byte value, long addr)

### bvput

public static void bvput(MappedObject mapped, byte value, int fieldOffset)

### bvget

public static byte bvget(long addr)

### bvget

public static byte bvget(MappedObject mapped, int fieldOffset)

### sput

public static void sput(short value, long addr)

### sput

public static void sput(MappedObject mapped, short value, int fieldOffset)

### sget

public static short sget(long addr)

### sget

public static short sget(MappedObject mapped, int fieldOffset)

### svput

public static void svput(short value, long addr)

### svput

public static void svput(MappedObject mapped, short value, int fieldOffset)

### svget

public static short svget(long addr)

### svget

public static short svget(MappedObject mapped, int fieldOffset)

### cput

public static void cput(char value, long addr)

### cput

public static void cput(MappedObject mapped, char value, int fieldOffset)

### cget

public static char cget(long addr)

### cget

public static char cget(MappedObject mapped, int fieldOffset)

### cvput

public static void cvput(char value, long addr)

### cvput

public static void cvput(MappedObject mapped, char value, int fieldOffset)

### cvget

public static char cvget(long addr)

### cvget

public static char cvget(MappedObject mapped, int fieldOffset)

### iput

public static void iput(int value, long addr)

### iput

public static void iput(MappedObject mapped, int value, int fieldOffset)

### iget

public static int iget(long address)

### iget

public static int iget(MappedObject mapped, int fieldOffset)

### ivput

public static void ivput(int value, long addr)

### ivput

public static void ivput(MappedObject mapped, int value, int fieldOffset)

### ivget

public static int ivget(long address)

### ivget

public static int ivget(MappedObject mapped, int fieldOffset)

### fput

public static void fput(float value, long addr)

### fput

public static void fput(MappedObject mapped, float value, int fieldOffset)

### fget

public static float fget(long addr)

### fget

public static float fget(MappedObject mapped, int fieldOffset)

### fvput

public static void fvput(float value, long addr)

### fvput

public static void fvput(MappedObject mapped, float value, int fieldOffset)

### fvget

public static float fvget(long addr)

### fvget

public static float fvget(MappedObject mapped, int fieldOffset)

### jput

public static void jput(long value, long addr)

### jput

public static void jput(MappedObject mapped, long value, int fieldOffset)

### jget

public static long jget(long addr)

### jget

public static long jget(MappedObject mapped, int fieldOffset)

### jvput

public static void jvput(long value, long addr)

### jvput

public static void jvput(MappedObject mapped, long value, int fieldOffset)

### jvget

public static long jvget(long addr)

### jvget

public static long jvget(MappedObject mapped, int fieldOffset)

### aput

public static void aput(long value, long addr)

### aput

public static void aput(MappedObject mapped, long value, int fieldOffset)

### aget

public static long aget(long addr)

### aget

public static long aget(MappedObject mapped, int fieldOffset)

### dput

public static void dput(double value, long addr)

### dput

public static void dput(MappedObject mapped, double value, int fieldOffset)

### dget

public static double dget(long addr)

### dget

public static double dget(MappedObject mapped, int fieldOffset)

### dvput

public static void dvput(double value, long addr)

### dvput

public static void dvput(MappedObject mapped, double value, int fieldOffset)

### dvget

public static double dvget(long addr)

### dvget

public static double dvget(MappedObject mapped, int fieldOffset)